### Method

# Pango FontDescription merge_static

#### Declaration [src]

    void
    pango_font_description_merge_static (
      PangoFontDescription* desc,
      const PangoFontDescription* desc_to_merge,
      gboolean replace_existing
    )

#### Description [src]

Merges the fields that are set in `desc_to_merge` into the fields in `desc`, without copying allocated fields.

This is like `pango_font_description_merge()`, but only a shallow copy is made of the family name and other allocated fields. `desc` can only be used until `desc_to_merge` is modified or freed. This is meant to be used when the merged font description is only needed temporarily.

#### Parameters

`desc_to_merge`

  Type: `PangoFontDescription`

  The `PangoFontDescription` to merge from.

  The data is owned by the caller of the method.

`replace_existing`

  Type: `gboolean`

  If `TRUE`, replace fields in `desc` with the corresponding values from `desc_to_merge`, even if they are already exist.